Artboard
Data API Keys

Create a Data API Key

Create an OttoFMS Data API Key

This endpoint creates a Data API Key for the specified FileMaker files with the given user and password. These credentials must have the fmrest privilege set for Data API access and/or fmodata for OData access.

POST
/otto/api/api-key

Request Body

application/json

POST /otto/api/api-key Request body

database?string

(Legacy) Single database this key can access. Use 'databases' for multiple.

Match.fmp12
databases?array<>

List of database names this key can access

label?string
Default"(no label)"
user*string
pass*string
isDataApi?boolean
Defaulttrue
isOData?boolean
allowAnyDatabase?boolean

If true, this key can access any database on the server

returnExisting?boolean

If true, will return an existing key with matching settings

Response Body

application/json

application/json

curl -X POST "https://your.server.net/otto/api/api-key" \  -H "Content-Type: application/json" \  -d '{    "user": "string",    "pass": "string"  }'
{
  "response": {},
  "messages": [
    {
      "code": 0,
      "text": "ok"
    }
  ]
}
{
  "response": {},
  "messages": [
    {
      "code": 18011,
      "text": "OttoFMS sample error"
    }
  ]
}